# StartEvent

interface StartEvent : ProgressEvent

An event that informs about an operation having started its execution.

#### Since

2.4

#### Inheritors

WorkItemStartEvent
TaskStartEvent
ProjectConfigurationStartEvent
TransformStartEvent
TestStartEvent
BuildPhaseStartEvent
FileDownloadStartEvent

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): OperationDescriptor
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long